# $Revision: 1.12 $, $Date: 2009/04/03 12:47:33 $
%bcond_without javadoc		# don't build apidocs

%if "%{pld_release}" == "ti"
%bcond_without java_sun		# build with gcj
%else
%bcond_with    java_sun		# build with java-sun
%endif

%include	/usr/lib/rpm/macros.java
%define		srcname	gnu-getopt
Summary:	Java getopt implementation
Summary(pl.UTF-8):	Implementacja getopt w Javie
Name:		java-gnu-getopt
Version:	1.0.13
Release:	4
License:	LGPL
Group:		Libraries/Java
Source0:	ftp://ftp.urbanophile.com/pub/arenn/software/sources/java-getopt-%{version}.tar.gz
# Source0-md5:	46336d9bc055900f0320e5c378d7bfb2
URL:		http://www.urbanophile.com/arenn/hacking/download.html
BuildRequires:	ant >= 1.5
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Obsoletes:	gnu.getopt
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU Java getopt classes support short and long argument parsing in
a manner 100% compatible with the version of GNU getopt in glibc 2.0.6
with a mostly compatible programmer's interface as well. Note that
this is a port, not a new implementation. I am currently unaware of
any bugs in this software, but there certainly could be some lying
about. I would appreciate bug reports as well as hearing about
positive experiences.

%description -l pl.UTF-8
Klasy GNU Java getopt potrafią analizować krótkie i długie argumenty w
sposób w 100% kompatybilny z wersją GNU getopt z glibc 2.0.6 przy w
większości kompatybilnym interfejsie programistycznym. Ten pakiet jest
portem, a nie nową implementacją. Autor nie zna żadnych błędów w tym
oprogramowaniu, ale na pewno jakieś istnieją, więc będzie uznawał
raporty o błędach, a także pozytywnych doświadczeniach.

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	gnu.getopt-javadoc

%description javadoc
Documentation for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{name}.

%description javadoc -l fr.UTF-8
Javadoc pour %{name}.

%prep
%setup -q -c
mv gnu/getopt/buildx.xml build.xml

%build
%ant jar %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a build/lib/gnu.getopt.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc gnu/getopt/README
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-gnu-getopt.spec,v $
Revision 1.12  2009/04/03 12:47:33  pawelz
- changed name from gnu.getopt
- please, don't add P: gnu.getopt and don't link jar to old name.
  I'll fix all specs on HEAD that depend on this spec
- G: Libraries/Java
- jdk bconds

Revision 1.11  2007/12/31 15:59:36  glen
- rel 3

Revision 1.10  2007-12-13 23:33:05  glen
- add -javadoc
- unify java package; rel 2

Revision 1.9  2007-08-19 22:28:13  blues
- 1.0.13

Revision 1.8  2007/04/09 23:51:59  glen
- use java macros. builds with java-1.5

Revision 1.7  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.5  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.4  2004/07/15 13:04:04  pluto
- use %{_javadir}.

Revision 1.3  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.2  2003/07/03 22:24:38  qboosh
- pl, removed COPYING.LIB from doc (just LGPL)

Revision 1.1  2003/07/02 11:53:20  pascalek
- initial release
